#
# spec file for package gap-hap
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           gap-hap
Version:        1.70
Release:        1.1
Summary:        GAP: Homological Algebra Programming
License:        GPL-2.0-or-later
Group:          Productivity/Scientific/Math
URL:            https://gap-packages.github.io/hap/
#Git-Clone:     https://github.com/gap-packages/hap
Source:         https://github.com/gap-packages/hap/archive/refs/tags/v%version.tar.gz
BuildArch:      noarch
BuildRequires:  fdupes
BuildRequires:  gap-rpm-devel
Requires:       gap-aclib >= 1.1
Requires:       gap-core >= 4.5.6
Requires:       gap-crystcat >= 1.1
Requires:       gap-fga >= 1.1
Requires:       gap-nq >= 1.1
Requires:       gap-polycyclic >= 1.1
Suggests:       gap-congruence
Suggests:       gap-edim >= 1.2.2
Suggests:       gap-gapdoc
Suggests:       gap-hapcryst
Suggests:       gap-homology
Suggests:       gap-laguna
Suggests:       gap-nq >= 1.1
Suggests:       gap-polymaking >= 0.8.3
Suggests:       gap-singular >= 06.07.23
Suggests:       gap-xmod

%description
"HAP" is a package for some basic calculations in the cohomology of
finite and infinite groups.

%prep
%autosetup -n hap-%version

%build

%install
find . -type f "(" -name ".*.swp" -o -name "*.bak" ")" -delete
find . -type f -exec grep -L '^#!/' "{}" "+" | xargs -d'\n' -r chmod a-x
find . -type f -exec grep -l "^#!/usr/local/bin/perl" "{}" "+" | \
	xargs -d'\n' -r perl -i -pe 's{#!/usr/local/bin/perl}{#!/usr/bin/perl}g'
%gappkg_simple_install
%fdupes %buildroot/%_prefix

%files -f %name.files

%changelog
* Sun Jul 20 2025 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.70
  * No changelog was provided
* Fri Jul 18 2025 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.69
  * No changelog was provided
* Thu Jul 10 2025 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.68
  * Improved Hecke and Swan algorithms
* Sat Oct 26 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.66
  * Don't read files that are not shipped any longer
* Wed Jul 31 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.65
  * Faster Chevalley-Eilenberg complex
  * Suspension, classifying space, reordered cells
  * Persistent betti numbers
* Thu Feb  1 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.62
  * Define NC versions of PreImages* in init.g
* Fri Jan  5 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.61
  * No changelog was provided
* Wed Oct 18 2023 Ich <jengelh@inai.de>
- Update to release 1.60
  * No changelog was provided
* Sun Aug  6 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.58
  * No changelog was provided
* Tue Jul 25 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.57
  * No changelog was provided
* Fri May 26 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.56
  * No changelog was provided
* Mon Apr 17 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.55
  * No changelog was provided
* Mon Mar 20 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.54
  * Build system updates only
* Wed Mar  1 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.53
  * Remove redundant empty lines in XML files
* Sun Feb 12 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.52
  * Avoid unnecessary MutableCopyMat calls
* Sat Feb 11 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.51
  * Don't call MutableCopyMat on vectors
* Wed Feb  1 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.50
  * No changelog was provided
* Sun Jan 29 2023 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.49
  * adding diagonal for Regular CW-complexes
  * changed calls of SignRat to SignInt
  * changed CohmologicalData
* Sat Nov 19 2022 Jan Engelhardt <jengelh@inai.de>
- Update to release 1.47
  * No changelog was provided
* Wed Nov 14 2018 Jan Engelhardt <jengelh@inai.de>
- Update to new upstream release 1.15
  * No changelog was provided
* Fri Mar 11 2016 jengelh@inai.de
- Update to new upstream release 1.11.13
  * No changelog was provided
* Tue Dec  8 2015 jengelh@inai.de
- Update to new upstream release 1.11.12
  * No changelog was provided
* Fri Apr 18 2014 jengelh@inai.de
- Update to new upstream release 1.10.15
  * No upstream changelog was provided
* Wed Feb  5 2014 jengelh@inai.de
- Update to new upstream release 1.10.14.3
  * No upstream changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Split hap (version 1.10.10.2) off the gap RPM package
